/********************************************
全アートボードを個別PDF保存.jsx
Copyright (c) 2021 田坂 暢浩
https://artworks-kobe.com/
- オリジナルウェアのプリント加工などやっています。
- いろんなものに高画質でプリントすることが生きがいです。

# 仕様
- イラストレーターファイルと同じ階層にPDFが出力されます
- ファイル名は`イラレのファイル名_アートボード名`です。
- ファイル名を変えたければ、24行目の`savefile +`を削除して、
   "_"の中にファイル名にした文字列を入れてください。
*********************************************/

(function() {
    var doc = app.activeDocument;
    var fileObj = doc.path;
    var _saveDir = fileObj + "/" + doc.name;
    var saveDir = _saveDir.replace(".ai", "");

    allPDFfileSaving(saveDir);
    alert("PDF保存が完了しました。");

    function allPDFfileSaving(saveDir) {
        var boardsCount = doc.artboards.length;
        var savefile = File(saveDir);
        for (var i = 0; i < boardsCount; i++) {
            var saveFilePath = File(savefile + "_" + doc.artboards[i].name + '.pdf');
            saveOpts = new PDFSaveOptions();
            saveOpts.saveMultipleArtboardes = true;
            saveOpts.artboardRange = String(i + 1);
            doc.saveAs(saveFilePath, saveOpts);
        }
    }
})();